use super::{file_writer::{SectorWriter}, types::{CDDesc, Error}};

pub mod psx;
pub mod builder;

pub type LbaCalculatorFunction = fn(&mut CDDesc);
pub type ImageEncoderFunction  = fn(CDDesc, &mut dyn SectorWriter) -> Result<(), Error>;

pub struct EncodingFunctions {
    pub lba_calculator: LbaCalculatorFunction,
    pub encoder:        ImageEncoderFunction
}